Subject: Re: Fw: issues with SO_PRIORITY and IP_TOS

From: Chris Friesen <[email-masked]>
Date: Thu, 13 Nov 2003 12:48:30 -0500

[email-masked] wrote:

> To set VLAN priority, you tune VLAN f.e. to use DSCP bits in classifier
> to derive VLAN priority from those bits of DSCP, which you desire. DSCP>>5
> in your case.

Excellent.  How do I do this?  I know of the egress mapping of socket 
priority to vlan priority.  How do I map DSCP to vlan priority?

I know how to do this by setting the socket priority with another 
setsockopt call, but is there a way of doing this directly?

Chris

-- 
Chris Friesen                    | MailStop: 043/33/F10
Nortel Networks                  | work: (613) 765-0557
3500 Carling Avenue              | fax:  (613) 765-2986
Nepean, ON K2H 8E9 Canada        | email: [email-masked]